/*
 * This file is part of Cadmium.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Cadmium is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cadmium is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * This package contains the classes providing implementations for 'dbm' primitives. <br/>
 * Two implementations are provided: a simple one (based on collection classes) and
 * an elaborated one based on jdbm.
 * <br/><br/>
 * These implementations do not guarantee that produced 'dot db' files are
 * compatible with the reference implementation.
 * <br/><br/>
 * The jdbm implementation is based on the 'jdbm' part of the Jigsaw project. <br/>
 * It thus requires the <tt>org.w3c.tools.dbm</tt> package to be available in
 * the classpath. This package is available from the following URLs:
 * <ul>
 *   <li>http://aurora.regenstrief.org/~schadow/dbm-java/</li>
 *   <li>http://dev.w3.org/cvsweb/java/classes/org/w3c/tools/dbm/#dirlist</li>
 * </ul>
 * <br/><br/>
 * These implementations are provided for compatibility purpose only and a Cadmium
 * user is strongly encouraged to use the <tt>CadmiumJDBC</tt> module, and
 * <a href="http://nickel.x9c.fr">Nickel</a> in order to access to the full power of
 * <a href="http://java.sun.com/javase/technologies/database/">JDBC</a>.
 */
package fr.x9c.cadmium.primitives.dbm;
