/*
 * This file is part of Cadmium.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Cadmium is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cadmium is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package fr.x9c.cadmium.util;

import java.io.PrintStream;
import java.io.Writer;

/**
 * This class implements a print stream that writes its output to a writer.
 *
 * @author <a href="mailto:cadmium@x9c.fr">Xavier Clerc</a>
 * @version 1.1
 * @since 1.1
 */
public final class PrintStreamToWriter extends PrintStream {

    /**
     * Creates a new print stream.
     * @param w the writer to which values are written - should not be <tt>null</tt>
     */
    public PrintStreamToWriter(final Writer w) {
        super(new OutputStreamToWriter(w));
    } // end constructor(Writer)

} // end class 'PrintStreamToWriter'
